let BaseStdResponse = {
    OK: {
        code: 0,
        msg: '哎呀，成功啦！'
    },
    ERR: {
        code: -1,
        msg: '哦豁，有点问题呢~'
    },
    MISSING_PARAMETER: {
        code: -2,
        msg: '嗯哼，参数好像少了呢~'
    },
    MISSING_FILE: {
        code: -404,
        msg: '呜呜，文件找不到啦~~'
    },
    METHOD_NOT_EXIST: {
        code: -400,
        msg: '啊呜，这个方法好像不存在哦~'
    },
    ACCESS_DENIED: {
        code: -100,
        msg: '抱歉，小伙伴，你没有权限呢~'
    },
    UNDER_DEVELOPMENT: {
        code: -201,
        msg: '这个功能还在开发中哦~'
    },
    DATABASE_CONNECT_FAIL: {
        code: -500,
        msg: '哎呀，数据库连接失败了呢~'
    },
    DATABASE_ERR: {
        code: -501,
        msg: '数据库出错啦，真是抱歉~'
    },
    DATABASE_NOT_FOUNT: {
        code: -504,
        msg: '数据库找不到啦，可能是迷路了呢~'
    },
    REQUEST_BUSY: {
        code: -505,
        msg: '请求太多啦，稍等一下下哦~'
    },
    USER_NOT_EXISTS: {
        code: -20404,
        msg: '呜呜，用户好像不存在呢~'
    },
    USER_ALREADY_EXISTS: {
        code: -20405,
        msg: '哎呀，这个用户已经存在啦~'
    },
    USER_ACCESS_DENIED: {
        code: -20500,
        msg: '唔，你的权限好像不够呢~'
    },
    SMS_SEND_COOLING: {
        code: -10500,
        msg: '验证码发送冷却中，稍后再试吧~'
    },
    SMS_SEND_FAIL: {
        code: -10300,
        msg: '哎呀，短信发送失败了呢~'
    },
    SMS_CHECK_FAIL: {
        code: -10501,
        msg: '短信验证失败啦，检查一下吧~'
    },
    PERMISSION_DENIED: {
        code: -403,
        msg: '唔，权限被拒绝了哦~'
    },
}

module.exports.BaseStdResponse = BaseStdResponse;
