DROP TABLE IF EXISTS `kq_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kq_records` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `uuid` varchar(32) NOT NULL,
  `time` varchar(16) NOT NULL,
  `commit` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `kq_records` WRITE;
/*!40000 ALTER TABLE `kq_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `kq_records` ENABLE KEYS */;
UNLOCK TABLES;

DROP TABLE IF EXISTS `kq_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `kq_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `createUser` varchar(32) NOT NULL,
  `createTime` varchar(16) NOT NULL,
  `user` json NOT NULL,
  `day_of_week` int(1) NOT NULL,
  `loopy` int(1) NOT NULL DEFAULT '0',
  `begintime` time NOT NULL,
  `position` json NOT NULL,
  `radius` int(11) NOT NULL DEFAULT '50',
  `endtime` time NOT NULL,
  `address` varchar(100) DEFAULT NULL,
  `admin` json DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `kq_items` WRITE;
/*!40000 ALTER TABLE `kq_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `kq_items` ENABLE KEYS */;
UNLOCK TABLES;


DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(32) NOT NULL,
  `username` varchar(16) NOT NULL,
  `wxid` varchar(32) DEFAULT NULL,
  `avatar` varchar(100) NOT NULL,
  `session` varchar(100) NOT NULL,
  `admin` int(1) NOT NULL DEFAULT '0',
  `manage` int(1) NOT NULL DEFAULT '0',
  `password` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
